@import url('https://fonts.googleapis.com/css2?family=Source+Sans+3:ital,wght@0,200..900;1,200..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Source Sans 3", sans-serif;
    text-decoration: none;
}

header {
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: #161c2c;
    z-index: 1000;
}

/*Header Superior*/

.header__superior {
    max-width: 120rem;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px;

    .titulos {
        text-align: center;
        color: #fff;
    }
}

.logo img {
    width: 150px;
    background-color: #161c2c;
}

.search input {
    width: 300px;
    padding: 10px;
}

/*Barra Menú*/

.container__menu {
    width: 100%;
    height: 70px;
    background: #023877;
    padding: 0px 20px;
}

.menu {
    max-width: 120rem;
    margin: auto;
    height: 100%;
}

nav {
    height: 100%;
}

nav > ul {
    height: 100%;
    display: flex;
}

nav ul li {
    height: 100%;
    list-style: none;
    position: relative;
}

nav > ul > li:first-child > a {
    background-image: url(../img/casa2.png);
    background-size: 24px;
    background-repeat: no-repeat;
    background-position: center center;
    padding: 20px 40px;
}

nav > ul > li:first-child:hover > a {
    background-image: url(../img/casa2.png);
    background-size: 24px;
    background-repeat: no-repeat;
    background-position: center center;
}

nav > ul > li a {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    padding: 14px;
    color: #fff;
    text-transform: uppercase;
    font-size: 14px;
    transition: 300ms ease;
}

nav > ul > li a:hover {
    transform: scale(1.1);
    background: #0074C7;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.5);
}

/*Submenu*/

nav > ul > li > ul {
    width: 20rem;
    display: flex;
    flex-direction: column;
    background: #fff;
    position: absolute;
    top: 90px;
    left: -5px;
    padding: 14px 0px;
    visibility: hidden;
    opacity: 0;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.5);
    z-index: 10;
    transition: all 300ms ease;
    max-height: 200px; /* Altura máxima del submenú */
    overflow-y: auto; /* Agregar barra de desplazamiento vertical */
}

nav ul li:hover ul {
    visibility: visible;
    opacity: 1;
    top: 70px;
}

nav ul li ul:before {
    content: '';
    width: 0;
    height: 0;
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-bottom: 12px solid white;
    position: absolute;
    top: -12px;
    left: 20px;
}

nav ul li ul li a {
    display: block;
    color: #0099E9;
    padding: 6px;
    padding-left: 14px;
    margin-top: 10px;
    font-size: 14px;
    text-transform: uppercase;
    transition: all 300ms ease;
}

nav ul li ul li a:hover {
    background: #0074C7;
    color: #fff;
    transform: scale(1.1);
    padding-left: 30px;
    font-size: 14px;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.5);

    /*Barra de Desplazamiento Vertical*/

    scrollbar-width: thin; /* Ancho delgado */
    scrollbar-color: #0074C7 #fff; /* Color azul y fondo blanco */   


}

nav > ul > li > ul::-webkit-scrollbar {
    width: 6px; /* Ancho delgado */
    height: 6px; /* Altura delgada */
}

nav > ul > li > ul::-webkit-scrollbar-thumb {
    background-color: #0074C7; /* Color azul */
    border-radius: 6px; /* Bordes circulares */
}




/*Articulos*/

main {
    background: #f0f0f0;
    padding: 40px 20px; /* Asegurar que el main tenga al menos la altura del viewport */
    margin-top: 250px;

    ol {
        margin-left: 20px;
    }

    span {
        font-weight: bold;
    }
}

main .content {
    max-width: 1200px;
    margin: auto;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

article {
    border: 1px solid #ccc;
    padding: 20px;
    border-radius: 5px;
    background-color: #fff;
}

/*Elementos Responsivos*/

.icon__menu {
    font-size: 26px;
    color: #fff;
    cursor: pointer;
    width: 26px;
    height: 100%;
    display: none;
    align-items: center;
}

#label__check {
    width: 26px;
    height: 100%;
    display: none;
}

#check__menu {
    display: none;
}

@media screen and (max-width: 720px) {
    .search input {
        display: none;
    }

    .header__superior {
        padding: 10px;
        font-size: 20px;
        text-align: center;
    }

    .titulos {
        display: none;
    }

    .logo img {
        width: 100px;  
    }

    nav > ul {
        flex-direction: column;
        background-color: #023877;
        position: fixed;
        left: 0;
        top: 158px;
        width: 100%;
        height: 0px;
        transition: all 300ms ease;
        z-index: 100;
        opacity: 0;
        visibility: hidden;
    }

    nav > ul > li > a:hover {
        transform: scale(1);
    }

    nav ul li ul {
        left: 90px;
    }

    nav > ul > li:hover ul {
        top: 50px;
    }

    nav > ul > li:first-child a {
        background-position: 20px;
    }

    #selected {
        transform: scale(1);
    }

    #label__check {
        display: block;
    }

    .icon__menu {
        display: flex;
    }

    #check__menu:checked ~ nav > ul {
        height: 300px;
        visibility: visible;
        opacity: 1;
    }
}

@media screen and (max-width: 720px) {
    .header__superior {
        flex-direction: column;
        align-items: flex-start;
    }

    .logo img {
        width: 80px;
    }

    .container__menu {
        padding: 0;
    }

    .menu {
        width: 100%;
    }

    nav ul li ul {
        left: 50px;
    }

    main {
        margin-top: 35px;
        padding: 10px;
        padding-top: 200px; /* Ajuste para evitar superposición del contenido con el menú en pantallas más pequeñas */
    }

    article {
        padding: 10px;
    }
}

footer {
    background-color: #161c2c;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    position: fixed;
    width: 100%;
    bottom: 0;
}

footer .social-icons {
    margin-bottom: 10px;
}

footer .social-icons a {
    color: #fff;
    margin: 0 5px;
    font-size: 15px;
    text-decoration: none;
    transition: color 0.3s;
}

footer .social-icons a:hover {
    color: #b3b3b3;
}

footer p {
    margin: 0;
    font-size: 14px;
}
